<%-- Copyright (c) 2001 by SAS Institute Inc., Cary, NC 27513 --%>
<%@ page errorPage="../Query/QueryErr.jsp" %>
<%@ page import="java.io.*,java.util.*" %>
<%@ page import="com.sas.query.*" %>
<%@ page import="com.sas.query.app.*" %>
<%@ page import="com.sas.query.datasources.*" %>
<%@ page import="com.sas.query.models.*" %>
<%@ page import="com.sas.query.models.Expression" %>
<%@ page import="com.sas.query.parser.*" %>
<%@ page import="com.sas.query.visuals.*" %>
<%@ page import="com.sas.hrv.*" %>
<%@ page import="com.sas.rmi.Connection" %>
<%@ page import="com.sas.servlet.beans.*" %>
<%@ page import="com.sas.servlet.beans.html.*" %>
<%@ page import="com.sas.collection.StringCollection" %>
<%@ include file="../Jsp/HRVLoginInclude.jsp" %>
<%@ include file="../Query/QueryInclude.jsp" %>
<% 
   VisMsg bundle = (VisMsg)request.getAttribute("resources");
   String m_pageLabel		= bundle.getString( "Display.PageLabel.txt" );
   String m_columnImage		= bundle.getString( "Display.DisplayColumn.image.notrans" );
   String m_columnLabel		= bundle.getString( "Display.DisplayColumnLabel.txt" );
   String m_columnToolTip	= bundle.getString( "Display.DisplayColumnToolTip.txt" );
   String m_groupLabel		= bundle.getString( "Display.GroupLabel.txt" );
   String m_aggImage		= bundle.getString( "Display.Aggregate.image.notrans" );
   String m_aggToolTip		= bundle.getString( "Display.AggregateToolTip.txt" );
   String m_dataItemLabel	= bundle.getString( "Display.DataItemLabel.txt" );
   String m_sortOrderLabel	= bundle.getString( "Display.SortOrderLabel.txt" );
   String m_sortPriorityLabel	= bundle.getString( "Display.SortPriorityLabel.txt" );
   String m_editItemImage	= bundle.getString( "Display.EditDataItem.image.notrans" );
   String m_editItemToolTip	= bundle.getString( "Display.EditDataItemToolTip.txt" );

   String itemToShowPropsFor = (String)request.getAttribute("propertiesItem");
   String m_onLoadFunc = "";
   if (itemToShowPropsFor != null) {
      m_onLoadFunc = "OnLoad='showPropertySheet("+itemToShowPropsFor+")'";
   }

   BaseTransformation m_distinctRowsBean = (BaseTransformation)request.getAttribute("form.distinct");
   
   //  2004.01.10  - adding code to allow the display of column labels on the
   //  "Format Data" page.  This will be based on the "Show Descriptive Names" 
   //  checkbox on the "Select Columns" page
   //  This option can be turned off by using the configuration option "QueryFormatDataWithLabels"
   boolean labelDisplayOption = m_query.isShowLabels();
   String configLabelDisplayOption = (String)hrvi.getConfigValue("QueryFormatDataWithLabels");
   if ("NO".equalsIgnoreCase(configLabelDisplayOption) || 
       "N".equalsIgnoreCase(configLabelDisplayOption)  ||
       "OFF".equalsIgnoreCase(configLabelDisplayOption))
       labelDisplayOption = false;
   // end of new code
   
%>
<HTML>
<HEAD>
   <%@ include file="../Jsp/HRVHeadInclude.jsp"%>
</HEAD>

<BODY CLASS="bodyContents">

<CENTER><H1><%= m_pageLabel %></H1></CENTER>
<TABLE BORDER=0 WIDTH="100%" HEIGHT="100%">
<TR ALIGN=CENTER><TD VALIGN=CENTER>

<TABLE>
<TR><TD>

<!-- ######################### DATA ITEMS ######################### -->
<SCRIPT>
function getDataItemField(i, field) {
   return document.initQry.elements["item"+i+"."+field];
}

//Called when the user changes a value in one of the sort direction choice
//boxes, this function will adjust the matching sort priority field depending
//on the new value for sort direction.
function OnChangeSortDir(i) {
   //get handles to the 2 fields for the ith row
   sort_dir = getDataItemField(i, "sorting");
   sort_pri = getDataItemField(i, "priority");
   //if user selected no sort direction, then blank the priority field
   if (sort_dir.selectedIndex == 0) {
      sort_pri.selectedIndex = 0;
   } else if (sort_pri.selectedIndex == 0) {
      //if the user selected a sort direction but the priority field was
      //empty, then we should give them the next available priority
   }
   //the 3rd case is user selected a direction and the priority was already
   //non-blank.  leave the priority alone in this case
}

//Called when the user changes a value in one of the sort priority choice
//boxes, this function will adjust the matching sort direction field depending
//on the new value for sort priority.
function OnChangeSortPriority(i) {
   //get handles to the 2 fields for the ith row
   sort_dir = getDataItemField(i, "sorting");
   sort_pri = getDataItemField(i, "priority");
   //if the user selected no sort priority, then blank the direction field
   if (sort_pri.selectedIndex == 0) {
      sort_dir.selectedIndex = 0;
   } else if (sort_dir.selectedIndex == 0) {
      //if the user selected a priority, but the direction field was empty,
      //set the direction to the default - "ASC"
      sort_dir.selectedIndex = 1;
   }
   //3rd case is direction and priority both set, so leave direction alone.
}

var hasGrouped = false;		//flag for whether user has grouped or not

//handle clicks in the 'group' column
function OnClickGroup(i) {
   if (hasGrouped) return;	//only process for 1 grouping

   //get handles to the 2 fields for the ith row
   group = getDataItemField(i, "group");
   if (group.checked == true) {
      j = 0;
      disp = getDataItemField(j, "show");
      agg = getDataItemField(j, "aggregate");
      while (disp != null) {
      	 if (i != j && agg.selectedIndex == 0)
	    disp.checked = false;
	 j++;
	 disp = getDataItemField(j, "show");
	 agg = getDataItemField(j, "aggregate");
      }
      hasGrouped = true;
   }
}

var IE = (document.all) ? 1 : 0;
var NS = (document.layers) ? 1 : 0;

function doPropertySheet(index) {
   //BKD:NOTE:
   //What would be good would be to check if the form is dirty before forcing
   //a reload.  If the form hasn't changed, then simply pop the new window.
   doNav("showProps." + index);
}

function showPropertySheet(index) {
   w = 700;
   h = 465;
   if (NS) { w+= 50; }
   loc = '../Query/dataItem.jsp?sessionkey=<%= m_sessionKey %>';
   if (index > -1) { loc += '&item='+index; }
   var propWin = window.open(loc,'propWin','resizable,scrollbars,width='+w+',height='+h);
   propWin.focus();
}
</SCRIPT>
<FORM NAME="initQry" METHOD=POST ACTION="Step3.jsp">
<INPUT TYPE=HIDDEN NAME="intAction" VALUE="">
<INPUT TYPE=HIDDEN NAME="sessionkey" VALUE="<%= m_sessionKey %>">

<TABLE CLASS="ENTRYBOX" BORDER=0 CELLSPACING=2>
   <TR>
      <TD COLSPAN=7><% m_distinctRowsBean.write(out);  %></TD>
   </TR>

   <TR>
      <TH WIDTH=20 ALIGN=CENTER><IMG SRC="images/<%= m_columnImage %>" ALT="<%= m_columnToolTip %>"></TH>
      <TH ALIGN=LEFT ><%= m_groupLabel %></TH>
      <TH WIDTH=50 ALIGN=CENTER ><IMG SRC="images/<%= m_aggImage %>" ALT="<%= m_aggToolTip %>"></TH>
      <TH ALIGN=LEFT ><%= m_dataItemLabel %></TH>
      <% if (labelDisplayOption) {%> <TH ></TH> <%}%>
      <TH ALIGN=LEFT ><%= m_sortOrderLabel %></TH>
      <TH ALIGN=LEFT ><%= m_sortPriorityLabel %></TH>
      <!--<TH ALIGN=LEFT >Format Sort</TH>-->
      <TH></TH>
   </TR>
<%
   DataItemList dil = (DataItemList)request.getAttribute("dataItems");

   if (dil.size() == 0) {
      out.write("<TR><TD COLSPAN=5>" + bundle.getString( "Display.NoDataItemsSelected.txt" )+"</TD></TR>\n");
   }

   for (int i=0; i<dil.size(); i++) {
   
      DataItem item = dil.elementAt(i);
      String itemLabel = getLabelForDataItem((JspDataItem)item, bundle, "ColumnSelector.ColumnListEntry.fmt.txt");
      itemLabel = itemLabel.substring(itemLabel.indexOf(")") + 1);

   
      BaseTransformation m_showBean = (BaseTransformation)request.getAttribute("item"+i+".show");
      BaseTransformation m_groupBean = (BaseTransformation)request.getAttribute("item"+i+".group");
      BaseTransformation m_functionBean = (BaseTransformation)request.getAttribute("item"+i+".aggregate");
      BaseTransformation m_aliasBean = (BaseTransformation)request.getAttribute("item"+i+".alias");
      BaseTransformation m_sortBean = (BaseTransformation)request.getAttribute("item"+i+".sorting");
      BaseTransformation m_priorityBean = (BaseTransformation)request.getAttribute("item"+i+".priority");
      //BaseTransformation m_formatBean = (BaseTransformation)request.getAttribute("item"+i+".formatted");
%>
   <TR>
      <TD ALIGN=CENTER><% m_showBean.write(out); %></TD>
      <TD ALIGN=CENTER><% m_groupBean.write(out); %></TD>
      <TD WIDTH=50 ALIGN=CENTER><% m_functionBean.write(out); %> </TD>
      <TD><% m_aliasBean.write(out); %></TD>
      
      <% if (labelDisplayOption) {%> 
         <TD><input type="text" value="<%= itemLabel%>"  ></TD>
      <%}%>
      
      <TD WIDTH=50 ALIGN=CENTER> <% m_sortBean.write(out); %> </TD>
      <TD WIDTH=50 ALIGN=CENTER><% m_priorityBean.write(out); %></TD>
      <TD WIDTH=32><A HREF="javascript: doPropertySheet(<%= i %>)" CLASS="treeLink"><IMG SRC="images/<%= m_editItemImage %>" BORDER=0 ALT="<%= htmlEncode(m_editItemToolTip) %>" WIDTH=16 HEIGHT=16></A></TD>
   </TR>
<%
   }
%>
</TABLE>
</FORM>
</TD>
</TR>

<SCRIPT>
function doNav(cmd) {
   document.initQry.intAction.value=cmd;
   document.initQry.submit();
}
function doSave() { doNav('goto.save'); }
</SCRIPT>
<TR> <TD> <jsp:include page="button_include.jsp" flush="true" /> </TD> </TR>
</TABLE>

</TD></TR>
</TABLE>	<!-- END WHOLE PAGE TABLE -->

</BODY>
</HTML>
