<%-- Copyright (c) 2001 by SAS Institute Inc., Cary, NC 27513 --%>
<%@ page errorPage="../Query/QueryErr.jsp" %>
<%@ page import="java.io.*,java.util.*" %>
<%@ page import="com.sas.query.*" %>
<%@ page import="com.sas.query.app.*" %>
<%@ page import="com.sas.query.datasources.*" %>
<%@ page import="com.sas.query.models.*" %>
<%@ page import="com.sas.query.models.Expression" %>
<%@ page import="com.sas.query.parser.*" %>
<%@ page import="com.sas.query.visuals.*" %>
<%@ page import="com.sas.hrv.*" %>
<%@ page import="com.sas.rmi.Connection" %>
<%@ page import="com.sas.collection.StringCollection" %>
<%@ page import="com.sas.servlet.beans.html.*" %>
<%@ include file="../Jsp/HRVLoginInclude.jsp" %>
<%@ include file="../Query/QueryInclude.jsp" %>
<%
   //GET the resource bundle
   VisMsg bundle = VisMsg.getInstance(session, "com.sas.query.JSPQuery");
   request.setAttribute("resources", bundle);

   //SETUP the important URLs
   request.setAttribute("topic", "wherecb");

   request.setAttribute("showButtons", Boolean.FALSE);
   request.setAttribute("initialLines", new Integer(getInt(bundle, "FilterBuilder.initialLines.int.notrans")));
   request.setAttribute("linesToAdd", new Integer(getInt(bundle, "FilterBuilder.linesToAdd.int.notrans")));
   request.setAttribute("defaultOperator", bundle.getString("FilterBuilder.defaultOperator.txt"));

   //BKD:NOTE - Debugging...
   if (false == true) {
      pageContext.forward("../Query/Where.jsp?sessionkey="+m_sessionKey);
      return;
   }

   String clause = request.getParameter("clause");
   if(clause == null)
   	clause = "";
      
   String m_pageTitle = bundle.getString("FilterBuilder.StandAlone.Title.txt");
   String hideQueryLimit = request.getParameter("hideQueryLimit");
   if (hideQueryLimit == null)
   	hideQueryLimit = "";
%>
<HTML>
<HEAD>
<TITLE><%= m_pageTitle %></TITLE>
</HEAD>

<!-- including frameset for buttons & icons -->
<FRAMESET ID="fsContent" ROWS="*,68" BORDER="0" frameborder="0"  framespacing="0">
    <FRAME ID="frmContent" NAME="HRVContent" src="../Query/Where.jsp?hideQueryLimit=<%= hideQueryLimit %>&sessionkey=<%= m_sessionKey %>&clause=<%=clause%>"
         marginwidth="0" marginheight="0" resize>
  <FRAME ID="frmBtns" NAME="BUTTONS" scrolling="no" noresize 
       marginwidth="0" marginheight="0" src="../Query/queryBtns.jsp">
</FRAMESET><!-- end frameset for buttons & icons -->

</HTML>
