%macro retire_report;
%global retire_eligibility;
%deltable(tables=empmast); 
%build(table=empmast, outtype=table, outname=empmast);
title "%getlabel(retire.title,Employees Eligible for Retirement)"; 

%local retire;
%if %quote(&retire_eligibility) = %str() %then %let retire=put(empstat,$IEMPSTA.) = 'A' and (SRVYRS >= 20 OR AGE >= 62);
%else %let retire=&retire_eligibility;

proc sort data=empmast(where=(&retire));

  by grplev3 grplev2;
run;
proc print noobs split='/';
  by grplev3; 
	var name id hiredate srvyrs age empfte;
	sum srvyrs empfte;
	format empfte 6.;
run;
title;
footnote1;
%deltable(tables=empmast);
%mend;
%retire_report;