<%@page import="java.io.*,java.util.*" %>
<%@page import="com.sas.hrv.*" %>

<%
	HrvInfo hrvi = HrvInfo.getInstance(application,request,response,out);
	WarehouseBean whBean = new WarehouseBean(session);
	List whList = null;

	try {

		whList = whBean.getItems();
	}
	catch (Exception e) {
		out.println("<FONT COLOR=\"RED\">Could not obtain the list of warehouses</FONT><BR>");
		return;
	}

   String action = request.getParameter("ACTION");
   if (action != null && action.equals("VERIFY")) {

   	String wh = request.getParameter("WAREHOUSE");

   	// Make wh was passed in
   	if (wh == null || wh.equals("")) {
   		out.println("<FORM NAME=VERIFYFORM ACTION=\"traverse.jsp\">");
   		out.println("<BR>Input fields can not be blank!<BR><BR>");
   		out.println("<INPUT ID=\"isBack\" TYPE=SUBMIT CLASS=\"BUTTON\" VALUE=\"Go Back\">");
   		out.println("</FORM>");

   		return;
   	}

		try {

			// Get the attributes from the selected warehouse
			whBean.setMetaKey(wh);

			whBean.resetAttributeList();

			out.println("Warehouse attributes for: " + wh + "<BR>");

			NamedList attrs = whBean.getAttributes();

			// Iterate over the list of nodes building a complete list of attribute values
			for (int j = 0; j < attrs.length(); j++) {
				out.println(attrs.getName(j) + " = " + attrs.getValue(j) + "<BR>");
			}

		}
		catch (Exception e) {
			out.println("<FONT COLOR=\"RED\">Could not obtain the list of attributes from warehouse: " + wh + "</FONT><BR>");
			return;
		}

		NamedList nl = null;

		try {

			// Report on the security location info referenced by this warehouse
			nl= whBean.getSecurityLocationAttributes();

			out.println("<BR>Secloc Attributes: <BR>");
			for (int i = 0; i < nl.length(); i++) {

				out.println(nl.getName(i) + " = " + nl.getValue(i) + "<BR>");
			}

			String secPath = whBean.getSecurityLocationAttribute("path");

			if (testPath(secPath)) {
				out.println("<FONT COLOR=\"RED\">Invalid security location path: secloc = " + secPath + "</FONT><BR>");
				return;
			}
			else {
				out.println("<FONT COLOR=\"BLUE\">OK -> secloc: " + secPath + "</FONT><BR>");
			}
		}
		catch (Exception e) {
			out.println("<FONT COLOR=\"RED\">Invalid security location key specified: secKey = " + whBean.getAttributeValue("type") + "</FONT><BR>");
			return;
		}

		List sl = null;

		try {

			// Report on the connection info referenced by this warehouse
			nl= whBean.getConnectionAttributes();

			out.println("<BR>Connection Attributes: <BR>");
			for (int i = 0; i < nl.length(); i++) {

				out.println(nl.getName(i) + " = " + nl.getValue(i) + "<BR>");
			}

			// Report on the servers used by this connection
			out.println("<BR>Servers:");
			sl = whBean.getServers();
		}
		catch (Exception e) {
			out.println("<FONT COLOR=\"RED\">Invalid connection key specified: connection = " + whBean.getAttributeValue("connection") + "</FONT><BR>");
			return;
		}

		String server = null;

		try {

			// Report on the server info referenced by this connection
			for (int i = 0; i < sl.size(); i++) {

				server = (String)sl.get(i);
				out.println("<BR>Server: " + server + "<BR>");
				NamedList sa = whBean.getServerAttributes(server);
				for (int j = 0; j < sa.length(); j++) {

					if (sa.getName(j).equals("password"))
						out.println(sa.getName(j) + " = ********<BR>");

					else
						out.println(sa.getName(j) + " = " + sa.getValue(j) + "<BR>");
				}
			}
		}
		catch (Exception e) {
			out.println("<FONT COLOR=\"RED\">Invalid server key specified: server = " + server + "</FONT><BR>");
			return;
		}
	}

else {
%>

<FORM NAME=VERIFYFORM ACTION="traverse.jsp">
	<INPUT TYPE=HIDDEN NAME=ACTION VALUE=VERIFY>
	Select a warehouse from the list to verify<BR><BR>
	<TABLE CELLPADDING=5>
		<TR>
			<TD ALIGN="RIGHT">Warehouse:</TD>
			<TD>
				<SELECT ID="selWhouse" name="WAREHOUSE">
<%
	try {
		for (int i = 0; i < whList.size(); i++) {
			String whKey = (String)whList.get(i);
			whBean.setMetaKey(whKey);
			out.println("<option value=\"" + whKey + "\">" + whBean.getAttributeValue("desc") + "</option>");
		}
	}
	catch (Exception e) {}
%>
   			</SELECT>
			</TD>
		</TR>
		<TR>
			<TD>
				<INPUT ID="isVerify" TYPE=SUBMIT CLASS="BUTTON" value="Verify">
			</TD>
		</TR>
	</TABLE>
</FORM>

<%
	}
%>

<%!
	private boolean testPath(String thisPath) {

		File thisFile = new File(thisPath);

		if (!thisFile.isDirectory()) {
			return(true);
		}

		return(false);
	}
%>